curl 'https://<your_disto_url>/api/v1/projects/{projectId}/' \
-H 'Authorization: Bearer <token>'
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Signal-iOS",
"issueIds": [
"123e4567-e89b-12d3-a456-426614174001",
"123e4567-e89b-12d3-a456-426614174002",
"123e4567-e89b-12d3-a456-426614174003"
],
"createdAt": "2023-08-01T14:30:00Z"
}
Projects
Get Project
This endpoint retrieves a specific project by its ID.
GET
/
api
/
v1
/
projects
/
{projectId}
/
curl 'https://<your_disto_url>/api/v1/projects/{projectId}/' \
-H 'Authorization: Bearer <token>'
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Signal-iOS",
"issueIds": [
"123e4567-e89b-12d3-a456-426614174001",
"123e4567-e89b-12d3-a456-426614174002",
"123e4567-e89b-12d3-a456-426614174003"
],
"createdAt": "2023-08-01T14:30:00Z"
}
Body
string
This is the unique identifier for the project.
Response
string
This is the unique identifier for the project.
string
This is the name of the project.
array
This is an array of issue IDs associated with the project.
string
This is the date and time when the project was created.
curl 'https://<your_disto_url>/api/v1/projects/{projectId}/' \
-H 'Authorization: Bearer <token>'
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Signal-iOS",
"issueIds": [
"123e4567-e89b-12d3-a456-426614174001",
"123e4567-e89b-12d3-a456-426614174002",
"123e4567-e89b-12d3-a456-426614174003"
],
"createdAt": "2023-08-01T14:30:00Z"
}
